﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace xamPivotGridCellEditing
{
    class SalesCollectionTest
    {
        public ObservableCollection<Sale> Items;

        public SalesCollectionTest()
        {
            Items = new ObservableCollection<Sale>();

            for (int i = 0; i < 30; i++)
            {
                Seller seller = new Seller()
                {
                    City = "City" + i % 4,
                    Name = "Seller" + i
                };
                Product product = new Product()
                {
                    Name = "Product" + i % 5,
                    UnitPrice = 12.3 + i / 10
                };

                Sale sale = new Sale()
                {
                    Seller = seller,
                    Product = product,
                    NumberOfUnits = i % 3
                };

                this.Items.Add(sale);
            }
        }
    }
}
